Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.model
Interface ByClassesGenericModel

All Superinterfaces:
  GenericModel

All Known Subinterfaces:
  OperationalStatusGenericModel, PerformanceGenericModel

All Known Implementing Classes:
  OperationalStatusMfModel, PerformanceMfModel

public interface ByClassesGenericModel
extends GenericModel

`ByClassesGenericModel` class. This interface to be implemented by each data model that supports by classes jobs.

Version:
  1.0

Method Summary
`java.lang.String` | `isOfClass(javax.management.ObjectName object, java.lang.String[] classNames)` `isOfClass` Checks if an object is of one of the given classes.
`boolean` | `isValidClass(java.lang.String className)` `isValidClass` Returns true if the given className is valid.

Methods inherited from interface com.sun.management.oss.impl.model.GenericModel
`getObservableAttributes, getObservableObjectClasses, getObservableObjects, getSupportedGranularities, getSupportedObservableObjects, isMatchingNamingRules, setMBS`

Method Detail

### isValidClass

    public boolean isValidClass(java.lang.String className)

  `isValidClass` Returns true if the given className is valid.

  Parameters:
    `className` - The class to check for validity.
  Returns:
    True if the class is valid.

### isOfClass

    public java.lang.String isOfClass(javax.management.ObjectName object,
                                      java.lang.String[] classNames)
                               throws java.lang.IllegalArgumentException

  `isOfClass` Checks if an object is of one of the given classes. Returns the Class the object is of or null if object is not of one of the provided classes.

  Parameters:
    `object` - The object we want to know the class.
    `classNames` - The proposed classes.
  Returns:
    The Class the object is of or null if object is not of one of the provided classes.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input paramters are not valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD